{%extends 'main/base.html'%}
{% load static %}

{% block title %}Объявления{% endblock %}

{% block content %}
<div class="cars">
    <h2 class="ads__title">Объявления</h2>
    <ul class="ads__list">
        <li class="ads__card card">
            <a class="card__link" href="#">
                <h3 class="card__title"></h3>
                <div class="card__properties">
                    <img src="" alt="Фото автомобиля" class="card__img">
                    <ul class="card__properties-list">
                        <li class="card__text">
                            Марка:
                        </li>
                        <li class="card__text">
                            Модель:
                        </li>
                        <li class="card__text">
                            Лошадиных сил:
                        </li>
                        <li class="card__text">
                            Год выпуска:
                        </li>
                        <li class="card__text">
                            Цвет:
                        </li>
                        <li class="card__text">
                            Владелец:
                        </li>
                        <li class="card__text">
                            Телефон:
                        </li>
                    </ul>
                </div>
                <p class="card__description"></p>
            </a>
        </li>
    </ul>
</div>
<!-- type="module" src="{% static 'main/script/cars.js' %}" -->
<script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>

<script src="https://unpkg.com/axios/dist/axios.min.js"></script>
<script type="module">
    console.log('11111111')
    import axios from "axios"

    let api = 'http://coursework.std-1725.ist.mospolytech.ru/api/users/';
        axios ({
        
        method: 'get',
        url: api,
      })
        .then((response) => {
            console.log(response)
        })
        .catch(()=>{
          console.log(response)
        });
</script>
{% endblock %}